Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Dec 2014, 09:01
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Lucid Puppy 5.0.1 - 24 May 2010
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 19 of 87 [1297 Posts]   Goto page: Previous 1, 2, 3, ..., 17, 18, 19, 20, 21, ..., 85, 86, 87 Next
Author Message
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15122
Location: Paradox Realm

PostPosted: Wed 21 Apr 2010, 02:13    Post subject:  

Quote:
and mp3 and ogg are audio, yes?


briefly . . .

mp3 is audio, with mp4 being for audio and video

ogg can be both audio only AND audio and video
so you can convert mp4 to ogg

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
01micko


Joined: 11 Oct 2008
Posts: 7841
Location: qld

PostPosted: Wed 21 Apr 2010, 02:16    Post subject:  

Hi all

I have made some changes to quickpackage, nothing too drastic. Just some bugfixes and some changes on the update page.

This will be the first real test of the updating system.

Click the lucid puppy update button on the last page and you will notice a new entry on the web page.

Click yes in the first dialog window and you will get the update, also including the libfaad fix.

Feedback please. Smile

Cheers

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
James C


Joined: 26 Mar 2009
Posts: 5969
Location: Kentucky

PostPosted: Wed 21 Apr 2010, 02:40    Post subject:  

Update worked fine here. Smile

Very clear,concise and easy to understand.Really great job. Smile
Back to top
View user's profile Send private message 
Sit Heel Speak


Joined: 30 Mar 2006
Posts: 2595
Location: downwind

PostPosted: Wed 21 Apr 2010, 03:10    Post subject:  

I just updated the UD (L?)-04 thing-y under Lucid 008. The update happened gracefully and fast.

Does this mean I now have Lucid-000?

/etc/puppyversion still says 008.
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15122
Location: Paradox Realm

PostPosted: Wed 21 Apr 2010, 03:30    Post subject:  

the code is running in puppy browser
Code:
file:///tmp/lucidpupupdate.html


it is telling me this:
Quote:
The latest available update for Lucid Puppy is currently lucid_puppy_UD-0.4.pet April 20, 2010


but it is only offering to install
lucid_puppy_UD-0.3.pet

So not getting the 0.4

I am running an updated (I think 007) but using 000 as the CD base

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
Tasgarth

Joined: 06 Oct 2008
Posts: 202
Location: France, Besancon

PostPosted: Wed 21 Apr 2010, 03:48    Post subject:  

@micko
Quote:
Click yes in the first dialog window and you will get the update, also including the libfaad fix.
Feedback please. Smile


I did it: it's OK. Thanks

@playdayz,
Lucid 008,
About Nvidia, and GeForce card with a jerky video screen under Flash.,
I modified the screen resolution through 'xorgwizard' and put
1600 x 1200 x 24 (OK for monitor, maybe NOT OK for card) .
and now it's OK for me Very Happy
I get a very cool screen video Very Happy , hight stream.
( Test: http://medici.tv and low or hight stream)
24 is the best for me!
Back to top
View user's profile Send private message Visit poster's website 
01micko


Joined: 11 Oct 2008
Posts: 7841
Location: qld

PostPosted: Wed 21 Apr 2010, 04:02    Post subject:  

Thanks James, Lobster, SHS and Tasgarth for testing

Lobster, I just tested pfix=ram on 000 and it worked fine, maybe the old save file is interfering.

SHS, the plan is for the update to be comprehensive, but at the moment we are just testing that it works. You'll always have 008 no matter how many updates are applied, but the idea is that all the goodies in a later version can be installed with ease in an early version (well kind of the idea).

The new wiki page won't show up until I make another update, but it works in my preliminary testing exactly the same as the current page,

The script actually downloads the webpage because a limitation of PuppyBrowser is that you can't download by just clicking on a link. Once the page is downloaded and parsed then the window pops up. On the wki page, at the top I put a bold notice saying this so the user, so long as he/she reads the page will expect the popup.

Here's the page you will soon be seeing when you click the update button. http://puppylinux.org/wikka/LucidPuppyUpdate

Cheers

_________________
Woof Mailing List | keep the faith Cool |

Last edited by 01micko on Wed 21 Apr 2010, 06:37; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
phil812


Joined: 16 Apr 2010
Posts: 6
Location: SPb, Russia

PostPosted: Wed 21 Apr 2010, 04:24    Post subject:  

Hi, All!
How can I compile commercial nvidia drivers for my geforce fx5700?
I downloaded devx sfs and kernel sources sfs and nvidia driver itself.
but when I try to execute nvidia-file it's fails with:
"The CC version check failed:
The compiler used to compile the kernel (gcc 4.3) does not exactly match the current compiler (gcc 4.4)...."
ahh... the happiness was so close... Crying or Very sad
Back to top
View user's profile Send private message 
ICQ Number 
stu90


Joined: 25 Feb 2010
Posts: 1401
Location: England. Dell Inspiron 1501. Dpup

PostPosted: Wed 21 Apr 2010, 08:02    Post subject:  

frugal 000:
Automatic x set up boots to desktop ok but no scroll on touch pad (SynPS/2 Synaptics TouchPad) on dell inspiron 1501 lappy - installed the new-xorgwizard .pet but no joy with scroll either.

gxine: i only have .avi / xvid files to test but they all work in 000

cheers.
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15122
Location: Paradox Realm

PostPosted: Wed 21 Apr 2010, 08:42    Post subject:  

Quote:
maybe the old save file is interfering


Many thanks - that is what I thought but best to report these things . . .

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
Tasgarth

Joined: 06 Oct 2008
Posts: 202
Location: France, Besancon

PostPosted: Wed 21 Apr 2010, 09:24    Post subject:  

Quote:
Lucid 008,
About Nvidia, and GeForce card with a jerky video screen under Flash.,
I modified the screen resolution through 'xorgwizard' and put
1600 x 1200 x 24 (OK for monitor, maybe NOT OK for card) .
and now it's OK for me


Disabling hardware acceleration works for me.
seen on Adobe Forums :
"http://forums.adobe.com/message/972329#972329"
right clic > Flash settings > disable hardware acceleration > rerun the stream ( because options fields of Flash are completely grey !)
Back to top
View user's profile Send private message Visit poster's website 
mories

Joined: 21 Dec 2009
Posts: 43

PostPosted: Wed 21 Apr 2010, 14:40    Post subject: Configure X - Lucid Puppy 000  

The X configuration is right for Intel 945GM.
This method should be preferred to the former.
Only problem with X keyboard settings, not take configuration parameter PKEYS specified (/etc/keymap)
Tanks.
Back to top
View user's profile Send private message 
Eyes-Only


Joined: 10 Aug 2006
Posts: 1046
Location: La Confederation Abenaquaise

PostPosted: Wed 21 Apr 2010, 15:19    Post subject:    

Just to let you know Micko - and PlayDayz too btw! - I'm a little slow in keeping up here with this particular section of the forum but I AM following along with the process of Lucid Pup and am still enjoying all of this immensely! Smile

I also just now tuned in, would like to be counted in as having tested the "update" mentioned above with the QuickPackage, and it went fabulously well here - 5 stars and two thumbs up! Really think this will be an incredible way to keep Puppy updated and all.

Wow... Shocked I feel like I'm running in the Big Leagues now with updates and everything! And to think: All this for only 133megs... IS this much fun even LEGAL?

LOL!

Cheers mates!

Eyes-Only
"L'Peau-Rouge"
"Typed from Chromium in Lupu-008"

_________________
*~*~*~*~*~*
Proud user of LXpup and 3-Headed Dog. Cool
*~*~*~*~*~*
Back to top
View user's profile Send private message 
Sit Heel Speak


Joined: 30 Mar 2006
Posts: 2595
Location: downwind

PostPosted: Wed 21 Apr 2010, 16:12    Post subject:  

phil812 wrote:
when I try to execute nvidia-file it's fails with:
"The CC version check failed:
The compiler used to compile the kernel (gcc 4.3) does not exactly match the current compiler (gcc 4.4)...."
Loadable kernel modules must be compiled using the same versions of gcc and libc.so.6 as the kernel was compiled under.

Lupu's devx supplies the gcc 4.4.3 and the newer libc.so.6 2.11.<something> binaries from Ubuntu Lucid, but the kernel was compiled (by Barry) presumably using the gcc 4.3.<something> and libc.so.6 2.10.<something> in Quirky-018 (or maybe Wary-019, not sure).

If you try compiling that driver module under either Quirky-018 or Wary-019 using its own devx, you might succeed, and the resulting .ko (copied over into Lupu's /lib/modules/2.6.33.2) should run under Lupu.

What Lupu really needs is *two* devx .sfs's, one (gcc 4.3.n) for compiling loadable kernel modules and the other (gcc 4.4.n) for compiling applications, .so libraries and executable binaries.

Or else recompile the kernel under Ubuntu's gcc+libc.so.6. Then it could remain with a single devx. This is to my mind the preferable solution.

Give me a few days...
Back to top
View user's profile Send private message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Wed 21 Apr 2010, 20:13    Post subject:  

phil812, you are getting advice from a master.

Quote:
If you try compiling that driver module under either Quirky-018 or Wary-019 using its own devx, you might succeed, and the resulting .ko (copied over into Lupu's /lib/modules/2.6.33.2) should run under Lupu.

What Lupu really needs is *two* devx .sfs's, one (gcc 4.3.n) for compiling loadable kernel modules and the other (gcc 4.4.n) for compiling applications, .so libraries and executable binaries.

Or else recompile the kernel under Ubuntu's gcc+libc.so.6. Then it could remain with a single devx. This is to my mind the preferable solution.


But, but, but.... This seems odd to me--it seems ppen. I mean people should be able to compile the Catalyst and Nvidia drivers. I am going to ask Barry--maybe this is an artifact of the development that will correct itself.

Oh, I see, Barry compiled the kernel under gcc 4.4.3 and then I just updated Lupu to gcc 4.4.4. Yuck.

Quote:
ok yes=works no=doesn't work.. a quick test

mp4 yes
mp3 yes
divx yes
flac yes
wmv yes
mp3 yes

wma no



Where do you get wma? I don't have any Wink I know RealPlayer will play it. I would like it if gxine would. I have a new version with all of the ubuntu codecs rather than Barry's pet package.

Gxine It played mpg, avi, wmv, and mov (they all defaulted to gxine)

flac defaulted to pmusic but would open with gxine
mp3 "
m4a "
ogg "

I will be doing more testing: This new version should play divx and what else? The wma is the w32 "restricted" codecs--am I right? I would be comfortable telling people who want to play wma to install RealPlayer.. Is that the Puppy way?
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 19 of 87 [1297 Posts]   Goto page: Previous 1, 2, 3, ..., 17, 18, 19, 20, 21, ..., 85, 86, 87 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1007s ][ Queries: 12 (0.0116s) ][ GZIP on ]